$(document).ready(function(){
	$('a[href^="#"]').on('click',function (e) {
		e.preventDefault();

		var target = this.hash;
		var $target = $(target);

		$('html, body').stop().animate({
			'scrollTop': $target.offset().top
		}, 900, 'swing', function () {
			window.location.hash = target;
		});
	});
});
(function($) {
    $.fn.panorama = function(options) {
        this.each(function(){ 
            var settings = {
                speed: 30000
            };
            if(options) $.extend(settings, options);
        
            var elemWidth = parseInt($(this).attr('width'));
            var elemHeight = parseInt($(this).attr('height'));
            var elemCount = Math.floor(screen.width / elemWidth)+1;
            var currentElement = this;
            var panoramaViewport, panoramaContainer;
            
            if(elemCount < 3) elemCount = 2;
            
            $(this).css({ 
                    '-moz-user-select' : 'none',
                    '-webkit-user-select' : 'none',
                    'margin' : '0',
                    'padding' : '0',
                    'border' : 'none'
                    })
                   .wrap("<div class='panorama-container'></div>");
                
            panoramaContainer = $(this).parent();
            panoramaContainer.css({
                    'width' : elemWidth*elemCount+'px',
                    'height' : elemHeight+'px',
                    'overflow' : 'hidden'
                })
                .wrap("<div class='panorama-viewport'></div>")
                .parent().css({
                    'width' : '100%',
                    'overflow' : 'hidden',
                    'margin-left' : '0px',
                    'text-align' : 'left'
                })
            for (i = 0; i < elemCount-1; i++) {
                $(this).clone().insertAfter(this);
            }
                      
            panorama_animate(panoramaContainer, elemWidth, settings);
            
        });
        
        function panorama_animate(element, elemWidth, settings) {
            var rightlimit = elemWidth;
            currentPosition = 0-parseInt($(element).css('margin-left'));
            $(element).animate({marginLeft: -rightlimit}, ((settings.speed / rightlimit) * (rightlimit - currentPosition)), 'linear', function (){ 
                $(element).css('margin-left', 0); 
                panorama_animate(element, elemWidth, settings);
            });
            
        }
        
    };
})(jQuery);
$(function () {
    $('a[href^="#"]').click(function () {
        var elementClick = $(this).attr("href");
        var destination = $(elementClick).offset().top;
        jQuery("html:not(:animated), body:not(:animated)").animate({
            scrollTop: destination
        }, 800);
        return false;
    });


    var now = new Date(),
        tovCol = now.getHours() * 2 + Math.floor(now.getMinutes() / 25);
    $('.main-reminder>span').html(55 - tovCol);
    $('.main-sell>span').html(50 * now.getHours() + tovCol);


    $('.rev-block-v3 .container').slick({
        infinite: true,
        autoplay: false,
        adaptiveHeight: true,
        dots: false,
        arrows: true,
        fade: false,
        speed: 300,
        slidesToShow: 3,
        slidesToScroll: 1,
        prevArrow: '<span data-role="none" class="slick-prev animate" aria-label="Previous" tabindex="0" role="button"></span>',
        nextArrow: '<span data-role="none" class="slick-next animate" aria-label="Next" tabindex="0" role="button"></span>',
        responsive: [
            {
                breakpoint: 959,
                settings: {
                    slidesToShow: 2,
                    slidesToScroll: 1
                }
        },
            {
                breakpoint: 639,
                settings: {
                    slidesToShow: 1,
                    slidesToScroll: 1,
                    adaptiveHeight: true
                }
        }
      ]
    });

    $('.mode-img').slick({
        dots: false,
        infinite: true,
        speed: 250,
        fade: true,
        cssEase: 'linear',
        adaptiveHeight: true,
        autoplay: true,
        autoplaySpeed: 2500,
        arrows: false
    });

    $("img.panorama").panorama();
});